function plotEnorm0L1L2(q, enorm_0)
%% plot the l1 and l2 norms of the constructions

%%
hplot = plot((1:q.N/4-1)/q.N, enorm_0.L1, ...
             (1:q.N/4-1)/q.N, enorm_0.L2, ...
             'linewidth', 2);

axis([-eps .25+eps 0 max(enorm_0.L1)])

set(gcf, 'color', [1 1 1])

set(hplot(1), 'color', [0 0 0])
set(hplot(2), 'color', [0.7 0.7 0.7])
h_legend = legend('$\ell_1$','$\ell_2$');
set(h_legend, 'interpreter', 'latex', 'Fontsize', 20)
set(gca,'Fontsize',20);
pbaspect([1 .3 1])

set(gca,'XTick',0:.05:.25)
set(gca,'XTickLabel',0:.05:.25)
xtick_labels = str2num(get(gca, 'XTickLabel'));

yticks = get(gca, 'YTick');
ytick_labels = str2num(get(gca, 'YTickLabel'));

for j = 1:length(ytick_labels)
    ytl{j} = sprintf('$%s%s',num2str(ytick_labels(j)),'$');
end

for j = 1:length(xtick_labels)
    xtl{j} = sprintf('$%s%s',num2str(xtick_labels(j)),'$');
end

h_ft = format_ticks(gca,xtl, ytl);  
h_xlab = xlabel('$x_n$', 'interpreter', 'latex');
h_ylab = ylabel('error', 'interpreter', 'latex');
set(h_xlab,'Position',get(h_xlab,'Position') + [0.0 -0.2 0]) 
set(h_ylab,'Position',get(h_ylab,'Position') + [-0.01 0.0 0]) 

%%







